Handle writes to a snapshot-origin device that has been extended since
the snapshot was taken.
--- diff/drivers/md/dm-snap.c	2005-02-09 14:41:23.000000000 +0000
+++ source/drivers/md/dm-snap.c	2005-02-09 14:42:44.000000000 +0000
@@ -931,6 +931,10 @@
 		if (!snap->valid)
 			continue;
 
+		/* Nothing to do if writing beyond end of snapshot */
+		if (bio->bi_sector >= dm_table_get_size(snap->table))
+			continue;
+
 		down_write(&snap->lock);
 
 		/*
